# Quick Log Entry Format 1.0.0

Quick Log Entry is a shorthand for logging amateur radio contacts.
The following table describes version 1.0.0 of the Quick Log Entry format.

| ADIF Field | QLE Format | Example | Persistent | Default |
|------------|------------|---------|------------|---------|
| `MODE`     | One of `CW`, `SSB`, `AM`, `FM`  | `CW` | `Y` |  |
| `QSO_DATE` | `YYYYMMDD`                      | `20250102` | `Y` | |
| `TIME_ON`  | `HHMM` or `HHMMSS`              | `1234` or `192342` | `Y` | |
| `TX_PWR`   | Digits followed by `W`          | `10W` | `Y` | |
| `FREQ`/`BAND` | Digits followed by a decimal point followed by digits | `14.060` | `Y` | |
| `STATION_CALLSIGN` | `@` followed by callsign | `@VA2NW` | `Y` | |
| `CALL`     | Callsign                        | `AC1PH` | `N` | |
| `RST_SENT` | two or three digit RST | `549` | `N` | `59` or `599` depending on mode |
| `RST_RCVD` | two or three digit RST | `339` | `N` | `59` or `599` depending on mode |
| `NAME`     | `!` followed by name | `!Tom` | `N` | |
| `SKCC`     | `#` followed by SKCC number | `#4889T` | `N` | |
| `STATE`    | `$` followed by state/province | `$QC` | `N` | |
| `STX_STRING` | `,` followed by exchange | `,OTS` | `Y` | |
| `SRX_STRING` | `.` followed by exchange | `.VT` | `N` | |
| `SIG`/`SIG_INFO`/`POTA_REF` | `POTA@` followed by reference | `POTA@CA-5082` | `N` | |
| `MY_SIG`/`MY_SIG_INFO`/`MY_POTA_REF` | `MYPOTA@` followed by reference | `MYPOTA@CA-5003` | `Y` | |
| `SIG`/`SIG_INFO`/`SOTA_REF` | `SOTA@` followed by reference | `SOTA@W1/GM-049` | `N` | |
| `MY_SIG`/`MY_SIG_INFO`/`MY_SOTA_REF` | `MYSOTA@` followed by reference | `MYSOTA@W1/CB-010` | `Y` | |
| `SIG`/`SIG_INFO`/`WWFF_REF` | `WWFF@` followed by reference | `WWFF@VEFF-0498` | `N` | |
| `MY_SIG`/`MY_SIG_INFO`/`MY_WWFF_REF` | `MYWWFF@` followed by reference | `MYWWFF@VEFF-0498` | `Y` | |
| `NOTES` | `{` followed by the note followed by `}` | `{Indy 500 special event station}` | `N` | |
| `QSLMSG` | `[` followed by the message followed by `]` | `[QSL via LoTW or Direct w/SASE]` | `Y` | |
| `COMMENT` | `<` followed by the comment followed by `>` | `<your signal has a 60 Hz hum>` | `N` | |

Inputs are separated by white space and processed one line at a time. In other
words, each QSO should be on its own line or lines.

## Versioning

Version numbers for Quick Log Entry format follow [Semantic Versioning](https://semver.org/).

## License

SPDX-License-Identifier: FSFAP

```
Copyright 2025 Thomas Cort

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty, provided the copyright notice and
this notice are preserved. This file is offered as-is, without any warranty.
```
