/*
    Quick Log Entry (qle)
    Copyright (C) 2025  Thomas Cort

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.

    SPDX-License-Identifier: GPL-3.0-or-later
 */

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include <string.h>

#include "str.h"
#include "util.h"

int qle_sindex(char *haystack, char needle) {

	int i;

	for (i = 0; i < (int) strlen(haystack); i++) {
		if (haystack[i] == needle) {
			return i;
		}
	}

	return -1;
}

void qle_strnlcpy(char *dst, char *src, int dstsize, int begin, int end) {
	int i;
	int j;

	memset(dst, '\0', dstsize);
	for (i = begin, j = 0; i < qle_min(dstsize - 1, end); i++, j++) {
		dst[j] = src[i];
	}
}

